problem installing py2cairo package

Posted by cbbs70a on 2015-09-07 12:06

All;
I'm not a big python person, so forgive me if my questions are somewhat elementary. I have ActiveStates python 2.7.8 installed. I setup a virtualenv and am trying to install py2cairo 1.10.0. However, I'm getting the following error message.

(env)python:~/Graphite/py2cairo-1.10.0>./waf configure
./options()
Setting top to : /root/Graphite/py2cairo-1.10.0
Setting out to : /root/Graphite/py2cairo-1.10.0/build_directory
./configure()
Checking for 'gcc' (c compiler) : ok
Checking for program python : /opt/graphite/env/bin/python
Checking for python version : (2, 7, 8, 'final', 0)
Checking for library python2.7 : not found
Checking for library python2.7 : yes
Checking for program python2.7-config : /opt/ActivePython-2.7/bin/python2.7-config
Checking for header Python.h : Could not find the python development headers
The configuration failed
(complete log in /root/Graphite/py2cairo-1.10.0/build_directory/config.log)

I'm looking at the errors that say "Checking for library python2.7 : not found" and "Checking for header Python.h : Could not find the python development headers".

Has anyone seen these before? Any insight at all would be greatly appreciated.
Thanks;
Frank

grahams
ActiveState Staff
Mon, 2015-09-28 08:41